## r-cran-rtweet 0.7.0

=== DESCRIPTION ===
Package: rtweet
Type: Package
Version: 0.7.0
Title: Collecting Twitter Data
Authors@R: c(
    person("Michael W.", "Kearney", ,
      email = "kearneymw@missouri.edu", role = c("aut", "cre"),
      comment = c(ORCID = "0000-0002-0730-4694")),
    person("Andrew", "Heiss", ,
      role = c("rev"),
      comment = c(ORCID = "0000-0002-3948-3914")),
    person("Francois", "Briatte", ,
      role = c("rev"))
    ## add contributor template (middle name/initial optional)
    #person("First Middle", "Last", ,
    #email = "email@address.com", role = c("ctb"))
    )
Description: An implementation of calls designed to collect and organize Twitter data via Twitter's REST and stream Application Program Interfaces (API), which can be found at the following URL: <https://developer.twitter.com/en/docs>.
 This package has been peer-reviewed by rOpenSci (v. 0.6.9).
Depends: R (>= 3.1.0)
Imports: httr (>= 1.3.0), jsonlite (>= 0.9.22), magrittr (>= 1.5),
        tibble (>= 1.3.4), utils, progress, Rcpp, httpuv
License: MIT + file LICENSE
URL: https://CRAN.R-project.org/package=rtweet
BugReports: https://github.com/ropensci/rtweet/issues
Encoding: UTF-8
Suggests: ggplot2, knitr, magick, openssl, readr, rmarkdown, testthat
        (>= 2.1.0), webshot, covr, igraph
VignetteBuilder: knitr
LazyData: yes
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-01-07 17:18:52 UTC; kmw
Author: Michael W. Kearney [aut, cre] (<https://orcid.org/0000-0002-0730-4694>),
  Andrew Heiss [rev] (<https://orcid.org/0000-0002-3948-3914>),
  Francois Briatte [rev]
Maintainer: Michael W. Kearney <kearneymw@missouri.edu>
Repository: CRAN
Date/Publication: 2020-01-08 23:00:10 UTC

=== debian/changelog ===
r-cran-rtweet (0.7.0-2) unstable; urgency=medium

  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-httr and r-cran-tibble.

 -- Andreas Tille <tille@debian.org>  Sat, 28 Aug 2021 20:09:12 +0200

r-cran-rtweet (0.7.0-1) unstable; urgency=medium

  * Initial release (closes: #988700)

 -- Andreas Tille <tille@debian.org>  Tue, 18 May 2021 17:07:15 +0200

=== debian/control ===
Source: r-cran-rtweet
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-httr,
               r-cran-jsonlite,
               r-cran-magrittr,
               r-cran-tibble,
               r-cran-progress,
               r-cran-rcpp,
               r-cran-httpuv
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rtweet
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rtweet.git
Homepage: https://cran.r-project.org/package=rtweet
Rules-Requires-Root: no

Package: r-cran-rtweet
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: collecting twitter data in GNU R
 An implementation of calls designed to collect and organize Twitter data
 via Twitter's REST and stream Application Program Interfaces (API),
 which can be found at the following URL:
 <https://developer.twitter.com/en/docs>. This package has been peer-
 reviewed by rOpenSci (v. 0.6.9).

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rtweet_([-\d.]*)\.tar\.gz

## r-cran-rtweet 1.0.2+dfsg

=== debian/changelog ===
r-cran-rtweet (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jul 2022 08:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-bit64 (>= 4.0.5),
+               r-cran-curl (>= 4.3.2),
                r-cran-httr,
                r-cran-jsonlite,
-               r-cran-magrittr,
+               r-cran-lifecycle (>= 1.0.0),
+               r-cran-progress (>= 1.2.2),
+               r-cran-rlang (>= 0.4.10),
                r-cran-tibble,
-               r-cran-progress,
-               r-cran-rcpp,
-               r-cran-httpuv
-Standards-Version: 4.6.0
+               r-cran-withr (>= 2.5.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rtweet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rtweet.git
 Homepage: https://cran.r-project.org/package=rtweet

## r-cran-rtweet 1.1.0+dfsg

=== DESCRIPTION ===
Type: Package
Package: rtweet
Title: Collecting Twitter Data
Version: 1.1.0
Authors@R: c(
    person("Michael W.", "Kearney", , "kearneymw@missouri.edu", role = "aut",
           comment = c(ORCID = "0000-0002-0730-4694")),
    person("Lluís", "Revilla Sancho", , "lluis.revilla@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-9747-2570")),
    person("Hadley", "Wickham", role = "aut",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Andrew", "Heiss", role = "rev",
           comment = c(ORCID = "0000-0002-3948-3914")),
    person("Francois", "Briatte", role = "rev"),
    person("Jonathan", "Sidi", , "yonicd@gmail.com", role = "ctb",
           comment = c(ORCID = "0000-0002-4222-1819"))
  )
Description: An implementation of calls designed to collect and organize
    Twitter data via Twitter's REST and stream Application Program
    Interfaces (API), which can be found at the following URL:
    <https://developer.twitter.com/en/docs>.
License: MIT + file LICENSE
URL: https://docs.ropensci.org/rtweet/,
        https://github.com/ropensci/rtweet/
BugReports: https://github.com/ropensci/rtweet/issues
Depends: R (>= 4.0.0)
Imports: bit64 (>= 4.0.5), curl (>= 4.3.2), httr (>= 1.3.0), httr2 (>=
        0.2.2), jsonlite (>= 0.9.22), lifecycle (>= 1.0.0), methods,
        progress (>= 1.2.2), rlang (>= 0.4.10), tibble (>= 1.3.4),
        utils, withr (>= 2.5.0)
Suggests: askpass (>= 1.1), covr (>= 3.5.1), dplyr (>= 1.0.9), ggplot2
        (>= 3.3.5), httpuv (>= 1.6.5), igraph (>= 1.3.2), knitr (>=
        1.39), magick (>= 2.7.3), maps (>= 3.4.0), openssl (>= 2.0.2),
        rmarkdown (>= 2.14), testthat (>= 3.1.0), vcr (>= 0.6.0),
        webshot (>= 0.5.3)
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.2
NeedsCompilation: no
Packaged: 2023-01-08 16:20:38 UTC; lluis
Author: Michael W. Kearney [aut] (<https://orcid.org/0000-0002-0730-4694>),
  Lluís Revilla Sancho [aut, cre]
    (<https://orcid.org/0000-0001-9747-2570>),
  Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Andrew Heiss [rev] (<https://orcid.org/0000-0002-3948-3914>),
  Francois Briatte [rev],
  Jonathan Sidi [ctb] (<https://orcid.org/0000-0002-4222-1819>)
Maintainer: Lluís Revilla Sancho <lluis.revilla@gmail.com>
Repository: CRAN
Date/Publication: 2023-01-09 08:50:02 UTC

=== debian/changelog ===
r-cran-rtweet (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: r-cran-httr2

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 20:54:21 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
                r-cran-bit64 (>= 4.0.5),
                r-cran-curl (>= 4.3.2),
                r-cran-httr,
+               r-cran-httr2,
                r-cran-jsonlite,
                r-cran-lifecycle (>= 1.0.0),
                r-cran-progress (>= 1.2.2),
                r-cran-rlang (>= 0.4.10),
                r-cran-tibble,
                r-cran-withr (>= 2.5.0)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rtweet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rtweet.git
 Homepage: https://cran.r-project.org/package=rtweet

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/rtweet_([-\d.]*)\.tar\.gz

## r-cran-rtweet 1.2.1%2Bdfsg

=== debian/changelog ===
r-cran-rtweet (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Nov 2023 11:38:31 +0100

## r-cran-rtweet 1.2.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: rtweet
 Title: Collecting Twitter Data
-Version: 1.1.0
+Version: 1.2.1
 Authors@R: c(
     person("Michael W.", "Kearney", , "kearneymw@missouri.edu", role = "aut",
            comment = c(ORCID = "0000-0002-0730-4694")),
@@ -31,14 +31,15 @@
 Suggests: askpass (>= 1.1), covr (>= 3.5.1), dplyr (>= 1.0.9), ggplot2
         (>= 3.3.5), httpuv (>= 1.6.5), igraph (>= 1.3.2), knitr (>=
         1.39), magick (>= 2.7.3), maps (>= 3.4.0), openssl (>= 2.0.2),
-        rmarkdown (>= 2.14), testthat (>= 3.1.0), vcr (>= 0.6.0),
-        webshot (>= 0.5.3)
+        rmarkdown (>= 2.14), spelling (>= 2.2.1), testthat (>= 3.1.0),
+        vcr (>= 0.6.0), webshot (>= 0.5.3)
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.2
+RoxygenNote: 7.2.3
+Language: en-US
 NeedsCompilation: no
-Packaged: 2023-01-08 16:20:38 UTC; lluis
+Packaged: 2023-10-16 20:05:36 UTC; lluis
 Author: Michael W. Kearney [aut] (<https://orcid.org/0000-0002-0730-4694>),
   Lluís Revilla Sancho [aut, cre]
     (<https://orcid.org/0000-0001-9747-2570>),
@@ -48,4 +49,4 @@
   Jonathan Sidi [ctb] (<https://orcid.org/0000-0002-4222-1819>)
 Maintainer: Lluís Revilla Sancho <lluis.revilla@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-01-09 08:50:02 UTC
+Date/Publication: 2023-10-16 22:40:02 UTC

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-bit64 (>= 4.0.5),
+               r-cran-bit64,
                r-cran-curl (>= 4.3.2),
                r-cran-httr,
                r-cran-httr2,
                r-cran-jsonlite,
                r-cran-lifecycle (>= 1.0.0),
-               r-cran-progress (>= 1.2.2),
-               r-cran-rlang (>= 0.4.10),
+               r-cran-progress,
+               r-cran-rlang,
                r-cran-tibble,
                r-cran-withr (>= 2.5.0)
 Standards-Version: 4.6.2

## r-cran-rtweet 2.0.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: rtweet
 Title: Collecting Twitter Data
-Version: 1.2.1
+Version: 2.0.0
 Authors@R: c(
     person("Michael W.", "Kearney", , "kearneymw@missouri.edu", role = "aut",
            comment = c(ORCID = "0000-0002-0730-4694")),
@@ -25,9 +25,9 @@
 BugReports: https://github.com/ropensci/rtweet/issues
 Depends: R (>= 4.0.0)
 Imports: bit64 (>= 4.0.5), curl (>= 4.3.2), httr (>= 1.3.0), httr2 (>=
-        0.2.2), jsonlite (>= 0.9.22), lifecycle (>= 1.0.0), methods,
+        1.0.0), jsonlite (>= 0.9.22), lifecycle (>= 1.0.0), methods,
         progress (>= 1.2.2), rlang (>= 0.4.10), tibble (>= 1.3.4),
-        utils, withr (>= 2.5.0)
+        tools, utils, withr (>= 2.5.0)
 Suggests: askpass (>= 1.1), covr (>= 3.5.1), dplyr (>= 1.0.9), ggplot2
         (>= 3.3.5), httpuv (>= 1.6.5), igraph (>= 1.3.2), knitr (>=
         1.39), magick (>= 2.7.3), maps (>= 3.4.0), openssl (>= 2.0.2),
@@ -36,10 +36,10 @@
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.0
 Language: en-US
 NeedsCompilation: no
-Packaged: 2023-10-16 20:05:36 UTC; lluis
+Packaged: 2024-02-24 15:10:58 UTC; lluis
 Author: Michael W. Kearney [aut] (<https://orcid.org/0000-0002-0730-4694>),
   Lluís Revilla Sancho [aut, cre]
     (<https://orcid.org/0000-0001-9747-2570>),
@@ -49,4 +49,4 @@
   Jonathan Sidi [ctb] (<https://orcid.org/0000-0002-4222-1819>)
 Maintainer: Lluís Revilla Sancho <lluis.revilla@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-10-16 22:40:02 UTC
+Date/Publication: 2024-02-24 16:20:02 UTC

=== debian/changelog ===
r-cran-rtweet (2.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 27 May 2024 08:56:30 +0900

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                r-cran-bit64,
                r-cran-curl (>= 4.3.2),
                r-cran-httr,
-               r-cran-httr2,
+               r-cran-httr2 (>= 1.0.0),
                r-cran-jsonlite,
                r-cran-lifecycle (>= 1.0.0),
                r-cran-progress,
                r-cran-rlang,
                r-cran-tibble,
                r-cran-withr (>= 2.5.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rtweet
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rtweet.git
 Homepage: https://cran.r-project.org/package=rtweet

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-askpass (>= 1.1),
        r-cran-covr (>= 3.5.1),
        r-cran-dplyr (>= 1.0.9),
        r-cran-ggplot2 (>= 3.3.5),
        r-cran-httpuv (>= 1.6.5),
        r-cran-igraph (>= 1.3.2),
        r-cran-knitr (>= 1.39),
        r-cran-magick (>= 2.7.3),
        r-cran-maps (>= 3.4.0),
        r-cran-openssl (>= 2.0.2),
        r-cran-rmarkdown (>= 2.14),
        r-cran-spelling (>= 2.2.1),
        r-cran-testthat (>= 3.1.0),
        r-cran-vcr (>= 0.6.0),
        r-cran-webshot (>= 0.5.3)
Restrictions: allow-stderr
